<?php

namespace App\Http\Controllers;

use App\Models\Apresiasi;
use App\Models\Pelaporan;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;


class AdminController extends Controller
{


    public function index(Request $request){

        $today = Carbon::now();
        $startOfWeek = $today->startOfWeek()->toDateString();
        $endOfWeek = $today->endOfWeek()->toDateString();
        $user = $request->user();
        if ($user->role == 'admin') {
            $laporan = Pelaporan::with('tindakan','user')->get();
            // Jika pengguna adalah admin, hitung total berdasarkan tindakan_id
            $laporan = Pelaporan::with('tindakan','user')->get();
            $total = Pelaporan::where('tindakan_id', 1)->count();
            $tot = Pelaporan::where('tindakan_id', 2)->count();
            $tots = Pelaporan::where('tindakan_id', 3)->count();
            $totals = Pelaporan::where('tindakan_id', 4)->count();

        } elseif ($user->role == 'user') {
            // Jika pengguna adalah pengguna biasa, hitung riwayat pelaporan milik pengguna tersebut
            $laporan = Pelaporan::where('user_id', $user->id)->get();
            // Menghitung total riwayat pelaporan yang dimiliki oleh pengguna
            $count = $laporan->count();
            // Menghitung total riwayat pelaporan yang dimiliki oleh pengguna
            $total = $laporan->where('tindakan_id', 1)->count();
            // Menghitung total berdasarkan tindakan_id dari riwayat pelaporan pengguna
            $tot = $laporan->where('tindakan_id', 2)->count();
            $tots = $laporan->where('tindakan_id', 3)->count();
            $totals = $laporan->where('tindakan_id', 4)->count();
        }
        $pelaporans = Pelaporan::all();
        $apresiasi = Apresiasi::all();

        return view('admin.dashboards', compact('laporan','apresiasi','pelaporans','total', 'tot', 'tots', 'totals'));
    }



}
